#include "lidar_manager.h"

int main(int argc, char **argv) {
    std::string command;
    if (argc < 2) {
        command = "-help";
    } else {
        printf("%d %s\n", argc, argv[1]);
        command = argv[1];
    }

    if (command == "-s") {
        // 执行程序1
        CloudDataManager::sendClient();
    } else if (command == "-r") {
        // 执行程序2
        CloudDataManager::receiveClient();
    } else if (command == "-t") {
        // 执行程序3
        CloudDataManager::sendClient();
    } else if (command == "-lidar") {
        // 执行程序3
        CloudDataManager::testRslidar();
    } else {
        std::cerr << "-s 发送雷达数据到客户端" << std::endl;
        std::cerr << "-r 接收雷达数据并展示" << std::endl;
        std::cerr << "-t 测试mqtt网络延时" << std::endl;
        std::cerr << "-lidar 测试雷达数据接收能力" << std::endl;
        return 1;
    }

    return 0;
}
